Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface ExceptionMapping

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ExceptionMapping

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Exception Mapping'.

The following features are supported:

- `Msg`
- `From`
- `To`

See Also:
  `SvcorchPackage.getExceptionMapping()`

Method Summary
`Exception` | `getFrom()` Returns the value of the 'From' reference
`java.lang.String` | `getMsg()` Returns the value of the 'Msg' attribute
`Exception` | `getTo()` Returns the value of the 'To' reference
`void` | `setFrom(Exception value)` Sets the value of the '`From`' reference
`void` | `setMsg(java.lang.String value)` Sets the value of the '`Msg`' attribute
`void` | `setTo(Exception value)` Sets the value of the '`To`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMsg

    java.lang.String getMsg()

  Returns the value of the 'Msg' attribute.

  If the meaning of the 'Msg' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Msg' attribute.
  See Also:
    `setMsg(String)`, `SvcorchPackage.getExceptionMapping_Msg()`

### setMsg

    void setMsg(java.lang.String value)

  Sets the value of the '`Msg`' attribute.

  Parameters:
    `value` - the new value of the 'Msg' attribute.
  See Also:
    `getMsg()`

### getFrom

    Exception getFrom()

  Returns the value of the 'From' reference.

  If the meaning of the 'From' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'From' reference.
  See Also:
    `setFrom(it.csi.mddtools.typedef.Exception)`, `SvcorchPackage.getExceptionMapping_From()`

### setFrom

    void setFrom(Exception value)

  Sets the value of the '`From`' reference.

  Parameters:
    `value` - the new value of the 'From' reference.
  See Also:
    `getFrom()`

### getTo

    Exception getTo()

  Returns the value of the 'To' reference.

  If the meaning of the 'To' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'To' reference.
  See Also:
    `setTo(it.csi.mddtools.typedef.Exception)`, `SvcorchPackage.getExceptionMapping_To()`

### setTo

    void setTo(Exception value)

  Sets the value of the '`To`' reference.

  Parameters:
    `value` - the new value of the 'To' reference.
  See Also:
    `getTo()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD